# Class: IGC

## IGC

Feature format for `*.igc` flight recording files.

#### new ol.format.IGC(opt_options) experimental

src/ol/format/igcformat.js, line 33

  Name | Type | Description
  --- | --- | ---
  `options` | optional Options.
  Name | Type | Description
  --- | --- | ---
  `altitudeMode` | ol.format.IGCZ | undefined | optional Altitude mode. Possible values are `barometric`, `gps`, and `none`. Default is `none`.

### Extends

- ol.format.TextFeature

### Methods

#### readFeature(source){ol.Feature} experimental

src/ol/format/igcformat.js, line 99

  Read the feature from the IGC source.

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Feature.

#### readFeatures(source){Array.<ol.Feature>} experimental

src/ol/format/igcformat.js, line 185

  Read the feature from the source. As IGC sources contain a single feature, this will return the feature in an array.

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Features.

#### readProjection(source){ol.proj.Projection} experimental

src/ol/format/igcformat.js, line 209

  Read the projection from the IGC source.

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Projection.